Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.properties
Class OWLAnnotationPropertySubpropertyRoot

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protege.util.LazyTreeRoot
              edu.stanford.smi.protegex.owl.ui.properties.OWLPropertySubpropertyRoot
                  edu.stanford.smi.protegex.owl.ui.properties.OWLAnnotationPropertySubpropertyRoot

All Implemented Interfaces:
  TreeNode

    public class OWLAnnotationPropertySubpropertyRoot

extends OWLPropertySubpropertyRoot

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Jan 17, 2006

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.properties.OWLPropertySubpropertyRoot
`propertyListener, resourceListener`

Constructor Summary
`OWLAnnotationPropertySubpropertyRoot(OWLModel owlModel)`

Method Summary
`static Collection` | `getTopLevelObjectProperties(OWLModel owlModel)`
`boolean` | `isSuitable(RDFProperty rdfProperty)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.properties.OWLPropertySubpropertyRoot
`createNode, dispose, getComparator`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeRoot
`childReplaced, getChildObjectCount, getChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, setModel`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, reload, reload, setIsLoaded, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWLAnnotationPropertySubpropertyRoot

    public OWLAnnotationPropertySubpropertyRoot(OWLModel owlModel)

Method Detail

### getTopLevelObjectProperties

    public static Collection getTopLevelObjectProperties(OWLModel owlModel)

### isSuitable

    public boolean isSuitable(RDFProperty rdfProperty)

  Overrides:
    `isSuitable` in class `OWLPropertySubpropertyRoot`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.